Summary:      Parallel implementation of bzip2
Name:         pbzip2
Version:      1.1.13
Release:      6%{?dist}
License:      BSD
URL:          https://launchpad.net/pbzip2
Source0:      %{url}/1.1/%{version}/+download/pbzip2-%{version}.tar.gz

Patch3000:    %{name}-1.1.12-buildflags.patch

BuildRequires: make gcc-c++ bzip2-devel

%description
PBZIP2 is a parallel implementation of the bzip2 block-sorting file compressor that
uses pthreads and achieves near-linear speedup on SMP machines.  The output of this
version is fully compatible with bzip2 v1.0.2 or newer (ie: anything compressed with
pbzip2 can be decompressed with bzip2).

%prep
%autosetup -n %{name}-%{version} -p1
iconv -f iso-8859-1 -t utf-8 AUTHORS -o AUTHORS

%build
%make_build

%install
install -D -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
ln -sf ./%{name} %{buildroot}%{_bindir}/pbunzip2
ln -sf ./%{name} %{buildroot}%{_bindir}/pbzcat

%files
%license COPYING
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_bindir}/pbunzip2
%{_bindir}/pbzcat
%{_mandir}/man1/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.13-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.13-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.13-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.13-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Shuo Wang <abushwang@tencent.com> - 1.1.13-1
- initial build

